--
--  AppDelegate.applescript
--  statusMenuFromXIB
--
--  Created by Takaaki Naganoya2 on 2025/03/27.
--  
--

script AppDelegate
	property parent : class "NSObject"
	
	-- IBOutlets
	property theWindow : missing value
	property theStatMenu : missing value--xib上で作っておいたメニュー。Cocoa Binding
	
	on applicationWillFinishLaunching_(aNotification)
		set theIcon to current application's NSImage's imageNamed:(current application's NSImageNameComputer)
		set statusItem to (current application's NSStatusBar's systemStatusBar())'s statusItemWithLength:(current application's NSVariableStatusItemLength)
		statusItem's setTitle:("PIYOMARU")
		statusItem's setImage:theIcon
		statusItem's setHighlightMode:true
		statusItem's setMenu:theStatMenu
		
		statusItem's popUpStatusItemMenu:theStatMenu
	end applicationWillFinishLaunching_
	
	on applicationShouldTerminate_(sender)
		-- Insert code here to do any housekeeping before your application quits 
		return current application's NSTerminateNow
	end applicationShouldTerminate_
	
end script
